# https://www.robotshop.com/community/forum/t/using-input-variables-to-set-servo-number-and-position-with-ssc-32u/78955/5

# Mandatory imports
import serial

# Get comm interface
#lssBus = serial.Serial('/dev/ttyUSB0', 9600)
lssBus = serial.Serial('COM1', 9600)

# Loop on user input and act on it
while True:
	# Get servo ID & position from user
	try:
		varID, varPos = [int(x) for x in input("Enter servo # & servo position here: ").split()]
	except ValueError:
		break
	varCmd = ("#" + str(varID) + "P" + str(varPos) + "S200" + "\r")
	print("Sending " + str(varCmd))
	lssBus.write(varCmd.encode())
